файл sca.php 
<?php 
//Позволяем работать перенаправлению
ob_start();
$db=mysql_connect('localhost','*****','*****') or die(mysql_erorr()); 
mysql_select_db('********',$db) or die(mysql_erorr()); 
@mysql_query("SET NAMES 'utf8'", $db); 
mysql_query("update `users` set `ska`=`ska`+'1' where id = '1' ",$db); 
header("Location: путь к файлу.jar") 



/** 
 * подключение к бд 
 */ 


$db=mysql_connect('localhost','********','******') or die(mysql_erorr()); 
mysql_select_db('*******',$db) or die(mysql_erorr()); 

/** 
 * запрос 
 */ 

$kol = mysql_fetch_array(mysql_query(" select `ska` from users where `id`= 1 ")); 


 $parnk = $kol[ska]; 








$db=mysql_connect('localhost','*****','*****') or die(mysql_erorr()); 
mysql_select_db('********',$db) or die(mysql_erorr()); 
@mysql_query("SET NAMES 'utf8'", $db); 
/** 
 * запрос 
 */ 
$parnk2 = mysql_fetch_array(mysql_query("SELECT `counts` FROM `downloads` WHERE `link`='link1'"));


//Если пользователь нажал на ссылку "скачать"
if (isset($_GET['a']) AND $_GET['a']=='download')
	{
	//Теперь плюсуем счетчик
	$parnk3=$parnk2[counts]+1;
	//Добавляем новое значение счетчика в бд
	mysql_query("UPDATE `downloads` SET `counts`='$parnk3' WHERE `link`='link1'");
	header("Location: ТУТ УКАЗЫВАЕШЬ АДРЕС ФАЙЛА");
	}


echo ' 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru"><head><meta http-equiv="content-type" content="application/xhtml+xml; charset=utf-8">......... 

********************************************************************************************
Где сам файл 
<a href="?a=download">Скачать(354кб)</a></br> ';
echo "<font color='black'>"; 

echo 'Скачали: '.$parnk2[counts].' раз(a)</font>'; 
echo'<br />';
?>